Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.config.manager
Class Manager

    java.lang.Object
      org.jboss.jmx.adaptor.snmp.config.manager.Manager

All Implemented Interfaces:
  Serializable

public class Manager
extends Object
implements Serializable

Class Manager.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`Manager()`

Method Summary
`String` | `getAddress()` Method getAddressReturns the value of field 'address'.
`String` | `getLocalAddress()` Method getLocalAddressReturns the value of field 'localAddress'.
`int` | `getLocalPort()` Method getLocalPortReturns the value of field 'localPort'.
`int` | `getPort()` Method getPortReturns the value of field 'port'.
`int` | `getVersion()` Method getVersionReturns the value of field 'version'.
`boolean` | `hasLocalPort()` Method hasLocalPort
`boolean` | `hasPort()` Method hasPort
`boolean` | `hasVersion()` Method hasVersion
`boolean` | `isValid()` Method isValid
`void` | `marshal(ContentHandler handler)` Method marshal
`void` | `marshal(Writer out)` Method marshal
`void` | `setAddress(String address)` Method setAddressSets the value of field 'address'.
`void` | `setLocalAddress(String localAddress)` Method setLocalAddressSets the value of field 'localAddress'.
`void` | `setLocalPort(int localPort)` Method setLocalPortSets the value of field 'localPort'.
`void` | `setPort(int port)` Method setPortSets the value of field 'port'.
`void` | `setVersion(int version)` Method setVersionSets the value of field 'version'.
`static Manager` | `unmarshal(Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Manager

    public Manager()

Method Detail

### getAddress

    public String getAddress()

  Method getAddressReturns the value of field 'address'.

  Returns:
    the value of field 'address'.

### getLocalAddress

    public String getLocalAddress()

  Method getLocalAddressReturns the value of field 'localAddress'.

  Returns:
    the value of field 'localAddress'.

### getLocalPort

    public int getLocalPort()

  Method getLocalPortReturns the value of field 'localPort'.

  Returns:
    the value of field 'localPort'.

### getPort

    public int getPort()

  Method getPortReturns the value of field 'port'.

  Returns:
    the value of field 'port'.

### getVersion

    public int getVersion()

  Method getVersionReturns the value of field 'version'.

  Returns:
    the value of field 'version'.

### hasLocalPort

    public boolean hasLocalPort()

  Method hasLocalPort

### hasPort

    public boolean hasPort()

  Method hasPort

### hasVersion

    public boolean hasVersion()

  Method hasVersion

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(ContentHandler handler)
                 throws IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### setAddress

    public void setAddress(String address)

  Method setAddressSets the value of field 'address'.

  Parameters:
    `address` - the value of field 'address'.

### setLocalAddress

    public void setLocalAddress(String localAddress)

  Method setLocalAddressSets the value of field 'localAddress'.

  Parameters:
    `localAddress` - the value of field 'localAddress'.

### setLocalPort

    public void setLocalPort(int localPort)

  Method setLocalPortSets the value of field 'localPort'.

  Parameters:
    `localPort` - the value of field 'localPort'.

### setPort

    public void setPort(int port)

  Method setPortSets the value of field 'port'.

  Parameters:
    `port` - the value of field 'port'.

### setVersion

    public void setVersion(int version)

  Method setVersionSets the value of field 'version'.

  Parameters:
    `version` - the value of field 'version'.

### unmarshal

    public static Manager unmarshal(Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.